Subject: Re: A possible shepherd bug (it's very minor)

From: Leo Prikler <[email-masked]>
Date: Sun, 13 Jun 2021 09:48:12 +0200

Am Samstag, den 12.06.2021, 23:34 +0000 schrieb [email-masked]:
> June 12, 2021 5:13 PM, "Leo Prikler" <[email-masked]>
> wrote:
> 
> > Hi,
> > 
> > Am Samstag, den 12.06.2021, 20:09 +0000 schrieb [email-masked]:
> > 
> > > June 12, 2021 3:39 PM, "Leo Prikler" <
> > > [email-masked]>
> > > wrote:
> > > 
> > > Am Samstag, den 12.06.2021, 09:26 -0400 schrieb Joshua Branson:
> > > 
> > 
> > I'm pretty sure that the actual bug also exists, just not sure
> > whether
> > that's on your config or on shepherd. Using TTY1 for graphical
> > stuff
> > is also somewhat rare in Guix land, I presume. (Or rather, I can't
> > think of it as anything but a container for debug output spam :D)
> 
> So...whay tty should I auto login to start my sway
> session?  tty2?  tty3?
In principle, any number is safe (even 1, but that's dedicated to
receive all the debug stuff and won't be particularly useful), so just
pick your favourite.  (The installer has TTY2 dedicated to the manual
and TTY3 the first console if that helps with your decision.)
> > As for getting this to work only on TTY1, you do get the config
> > object,
> > so you can do stuff like
> > (if (is-tty1? config) (inherit+autologin config) config)
> > Note of course, that is-tty1? is not a procedure that's ready-made, 
> > but
> > one that you'd need to build from primitives such as record
> > accessors.
> 
> Thanks!
> 
> > Regards,
> > Leo